summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorThomas Deutschmann <whissi@gentoo.org>2019-11-17 21:21:41 +0100
committerThomas Deutschmann <whissi@gentoo.org>2019-11-17 21:21:41 +0100
commitc1f1bde1cf5d224bf440f194cb4a282333bcd92a (patch)
tree4319dc1e5cab3d3de9ded53b635a29d684786da6 /app-arch/unrar
parentapp-crypt/seahorse-sharing: Version bump to 3.8.0_p20181216 (diff)
downloadgentoo-c1f1bde1cf5d224bf440f194cb4a282333bcd92a.tar.gz
gentoo-c1f1bde1cf5d224bf440f194cb4a282333bcd92a.tar.bz2
gentoo-c1f1bde1cf5d224bf440f194cb4a282333bcd92a.zip
app-arch/unrar: bump to v5.8.4
Package-Manager: Portage-2.3.79, Repoman-2.3.18 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
Diffstat (limited to 'app-arch/unrar')
-rw-r--r--app-arch/unrar/Manifest1
-rw-r--r--app-arch/unrar/unrar-5.8.4.ebuild70
2 files changed, 71 insertions, 0 deletions
diff --git a/app-arch/unrar/Manifest b/app-arch/unrar/Manifest
index b863e44d4dd..03ac6f6a786 100644
--- a/app-arch/unrar/Manifest
+++ b/app-arch/unrar/Manifest
@@ -2,3 +2,4 @@ DIST unrar-5.7.5.tar.gz 228818 BLAKE2B 2bd9cfaed07802147af9a3457cea3f78f464cc26e
DIST unrar-5.8.1.tar.gz 228917 BLAKE2B 4b34fd35a371ea2784af0968a95270b04afbefd4968c74c44e88d7b79598fe05b01c331ce730cbfd2535d5a713049e7f4dfbd38d28266e957ae9995cf8ce54b3 SHA512 31303df575e8a5ed9fc03e20d0482306536c3496894a39788052c5c9dfde61eb7f5ca29b8c48354581622a020aa446f108af956ab43024a48731a12233155612
DIST unrar-5.8.2.tar.gz 229116 BLAKE2B 88bcc90e36d231dd35b066495967a116571ce25b6cc6ee73e84ded5a56fd74662e0c9da10a7e7025d2cecbdd1e47d84f303207b6a466c1488168f523e7fb23fd SHA512 09f12f141925aa99d74d4a0a0f3bacdd5b53d174473346de317cf95c1f560ef4bad445f14d81d313f8a34e8400df6a76709d068b9cd23433d1f638935185ab0d
DIST unrar-5.8.3.tar.gz 229162 BLAKE2B 1515af301fdcbbe02d1ebf487b1a0ab7849919e0065f223ec78e69cf5fb9436778f184c9cdead927c37d41ddf779bc7c539259cc60b1e9db19225762af17ed27 SHA512 32ab5cd9135d968f2e908975e72e716f5aa8911ee53fbcade6cf9783eb22330dc0114baf5db148c223015498d28fa4c60446e0ccd8108856c6d089117a147669
+DIST unrar-5.8.4.tar.gz 229618 BLAKE2B 3b163a7d3a13dd5864ae729eef6c6bc171e45b0db4e716660b24a14ecf035572fdd1dc44a9c59d07d9fde87255b941f45d5b2e0aeffac3a53b021dc1cbd4b0f1 SHA512 dd3502662b443f05c7bd01a50806b9e3443f9bbba7d88ee8fe9ca0d671d93b0db8956b822ec25b9d827941313ef2ec5608f15934bab91cecbab1ccea9ae8129e
diff --git a/app-arch/unrar/unrar-5.8.4.ebuild b/app-arch/unrar/unrar-5.8.4.ebuild
new file mode 100644
index 00000000000..7fce116316f
--- /dev/null
+++ b/app-arch/unrar/unrar-5.8.4.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit flag-o-matic multilib toolchain-funcs
+
+MY_PN="${PN}src"
+
+DESCRIPTION="Uncompress rar files"
+HOMEPAGE="https://www.rarlab.com/rar_add.htm"
+SRC_URI="https://www.rarlab.com/rar/${MY_PN}-${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="unRAR"
+# subslot = soname version
+SLOT="0/5"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x86-solaris"
+IUSE=""
+
+RDEPEND="!<=app-arch/unrar-gpl-0.0.1_p20080417"
+
+S="${WORKDIR}/unrar"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-5.5.5-build.patch
+ "${FILESDIR}"/${PN}-5.5.5-honor-flags.patch
+)
+
+src_prepare() {
+ default
+
+ local sed_args=( -e "/libunrar/s:.so:$(get_libname ${PV%.*.*}):" )
+ if [[ ${CHOST} == *-darwin* ]] ; then
+ sed_args+=( -e "s:-shared:-dynamiclib -install_name ${EPREFIX}/usr/$(get_libdir)/libunrar$(get_libname ${PV%.*.*}):" )
+ else
+ sed_args+=( -e "s:-shared:& -Wl,-soname -Wl,libunrar$(get_libname ${PV%.*.*}):" )
+ fi
+ sed -i "${sed_args[@]}" makefile || die
+}
+
+src_configure() {
+ mkdir -p build-{lib,bin}
+ printf 'VPATH = ..\ninclude ../makefile' > build-lib/Makefile || die
+ cp build-{lib,bin}/Makefile || die
+}
+
+src_compile() {
+ unrar_make() {
+ emake CXX="$(tc-getCXX)" CXXFLAGS="${CXXFLAGS}" STRIP=true "$@"
+ }
+
+ unrar_make CXXFLAGS+=" -fPIC" -C build-lib lib
+ ln -s libunrar$(get_libname ${PV%.*.*}) build-lib/libunrar$(get_libname) || die
+ ln -s libunrar$(get_libname ${PV%.*.*}) build-lib/libunrar$(get_libname ${PV}) || die
+
+ unrar_make -C build-bin
+}
+
+src_install() {
+ dobin build-bin/unrar
+ dodoc readme.txt
+
+ dolib.so build-lib/libunrar*
+
+ insinto /usr/include/libunrar${PV%.*.*}
+ doins *.hpp
+ dosym libunrar${PV%.*.*} /usr/include/libunrar
+
+ find "${ED}" -type f -name "*.a" -delete || die
+}